sametmax utilise framapiaf.org. Vous pouvez læ suivre et interagir si vous possédez un compte quelque part dans le "fediverse". Si ce n’est pas le cas, vous pouvez en créer un ici.

Et bien c'était la réponse Q, l'onglet du navigateur était en mode mute.

F - Le son de l'OS est en mute
...
G - Le son de l'OS est redirigée vers une sortie inexistante (e.g: HDMI)
H - Le son du player vidéo est trop bas
I - Le player video est en mute
J - La carte son ne marche plus
K - Le driver est foutu
L - La vidéo n'avait en fait pas de son
M - Le site de streaming bug
N - Le plugin de rendu vidéo / DRM / Whatever n'est pas installé ou foire
O - Je deviens sourd
P - Je deviens FOUUUUUUUUUUUUUUUUUUUUUUUu

J'ai un casque pluggé sur mon laptop, aussi relié à une enceinte branchée en Jack à mon hub USB-C.

Je n'entends pas le son d'une vidéo dans mon navigateur. Quelle en est la cause ?

A - Le son passe par le casque.
B - Le hub est mal branché
C - L'enceinte est mal branchée
D - L'enceinte est en mode bluetooth
E - Le son de l'OS est trop bas
...

La deadline est un peu courte à mon avis, à moins que ça soit ouvert depuis 2 semaines et que j'ai raté ça.

Ah oui, et comme chaque fois, mon avocat me rappelle de souligner que:

"nous ne pouvons confirmer ou infirmer notre présence à la pyconfr cette année"

Enfin !

La PyConFr 2018 (pycon.fr/2018/ ) qui aura lieu à Lille du 4 au 7 octobre, a ouvert son appel à participation.

Vous pouvez soumettre vos propositions de conf, atelier et sprint jusqu'au 30 juin:

cfp-2018.pycon.fr/cfp/

(Powered by ponyconf :))

J'ai testé la démo github.com/snyk/zip-slip-vulne sur ma machine. FileRoller et unzip ne sont pas vunérables. Mais c'est super malin quand même. Quand on ouvre l'archive on voit à sa racine un tas de dossiers parents

La vulnérabilité d'extraction d'archive de cochon ! snyk.io/research/zip-slip-vuln L'extraction tar par Python est touchée, mais pas le zip. Liste des libs vulnérables: github.com/snyk/zip-slip-vulne Tous les sites qui autorise l'upload d'archives vont rigoler

Pourquoi j'ai de moins en moins les gens sur le net reddit.com/r/Python/comments/8 Je perds la motiv avec le temps. Ils sont trop nombreux, et il y en a de nouveaux chaque années.

Et timsit dirait que ceux de l'année prochaine sont déjà là.

Awesome hacking: A collection of various awesome lists for hackers, pentesters and security researchers github.com/Hack-with-Github/Aw

Notez au passage version = attr: src.VERSION qui permet d'aller chercher... suspens... la version de votre package dans dans __version__ au lieu de dupliquer la valeur ou se lancer dans un parsing de bandit

Rappel amical du packaging python 2018

python -c "import setuptools; print(setuptools.__version__)"

Si >= 30.3.0 (sinon pip install setuptools --upgrade), le contenu de votre setup.py peut aller directement dans setup.cfg : setuptools.readthedocs.io/en/l

Normalement le fond est blanc, puisque c'est du material design, mais le gif a une palette de couleurs, hum, personnelle

J'ai fais une petite démo de kivy MD en gif animé: imgur.com/a/IjM0XGW Bon, 42 Mo à dl et les couleurs sont dégueu, mais ça donne une idée. Le truc est réactive et bouffe peu de CPU mais 100 Mo de RAM out of the box. L'installation a aussi été non triviale .

Kivy, la lib d'ui Python qui marche sous Mac/Linux/Windows/iOS/Android avec une seule code base a bien progressé (kivy.org/) On trouve maintenant des themes assez sexy comme gitlab.com/kivymd/KivyMD/ qui fait du material design

Un argument typique "certaines libs sont bloquées en 0.X pour toujours". MAIS C'EST TRES BIEN. Ca indique clairement que la lib n'offre aucune garantie de stabilité d'API. Une information bien plus critique que la date de release, trouvable par ailleurs facilement.

En ce moment on parle un peu de CalVer, un concurrent de SemVer sedimental.org/calver.html Je n'adhère pas du tout. Même si c'est tentant est superficiellement pratique, ce n'est qu'adapté aux systèmes complets et autonomes (ex: Ubuntu). Une lib ne doit surtout pas l'utiliser.